//
//  SubstitutableDetailViewController.h
//  MultiDetailView
//
//  Created by Greg Fiumara on 3/24/10.
//  Copyright 2010 Greg Fiumara. All rights reserved.
//

#import <UIKit/UIKit.h>


/*
 * This is a "protocol."  Like the definition implies, parts of the protocol
 * are expected to be implemented in all classes that "adopt" the protocol.
 *
 * Protocols are a very useful part of Objective-C and if you've downloaded this
 * code example, it's likely you are unclear the use of value of a protocol.  I
 * *implore* you to read the Apple (or other) documentation on this (and other)
 * subjects.
 * 
 * http://developer.apple.com/mac/library/documentation/cocoa/conceptual/ObjectiveC/Articles/ocProtocols.html
 */
@protocol SubstitutableDetailViewController

- (void)showRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem;
- (void)invalidateRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem;

@end
